services:
  traefik:
    image: traefik:v2.10
    ports:
      - 80:80
    command:
      - --api.insecure=true
      - --providers.docker=true
      - --entrypoints.web.address=:80
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
  riesgos:
    image: mayacontigo/riesgos:latest
    build:
      context: .
      dockerfile: .containers/unit/Dockerfile
      args:
        PACKAGE: riesgos
    x-bake:
      tags:
        - mayacontigo/riesgos:latest
    ports:
      - 8000:80
    labels:
      - traefik.enable=true
      - traefik.http.routers.riesgos.rule=PathPrefix(`/api/mayariesgos`)
      - traefik.http.routers.riesgos.entrypoints=web
      - traefik.http.routers.riesgos.middlewares=riesgos-strip
      - traefik.http.middlewares.riesgos-strip.stripprefix.prefixes=/api/mayariesgos
  ocp:
    image: mayacontigo/ocp:latest
    build:
      context: .
      dockerfile: .containers/python/Dockerfile
      args:
        PACKAGE: ocp
    x-bake:
      tags:
        - mayacontigo/ocp:latest
    ports:
      - 8000:80
    labels:
      - traefik.enable=true
      - traefik.http.routers.ocp.rule=PathPrefix(`/api/mayaocp`)
      - traefik.http.routers.ocp.entrypoints=web
      - traefik.http.routers.ocp.middlewares=ocp-strip
      - traefik.http.middlewares.ocp-strip.stripprefix.prefixes=/api/mayaocp
  egresos:
    image: mayacontigo/egresos:latest
    build:
      context: .
      dockerfile: .containers/unit/Dockerfile
      args:
        PACKAGE: egresos
    x-bake:
      tags:
        - mayacontigo/egresos:latest
    ports:
      - 8001:80
    labels:
      - traefik.enable=true
      - traefik.http.routers.ChatEgresos.rule=PathPrefix(`/api/mayaChatEgresos`)
      - traefik.http.routers.ChatEgresos.entrypoints=web
      - traefik.http.routers.ChatEgresos.middlewares=ChatEgresos-strip
      - traefik.http.middlewares.ChatEgresos-strip.stripprefix.prefixes=/api/mayaChatEgresos
  voz-del-cliente:
    image: mayacontigo/nnormativa:latest
    build:
      context: .
      dockerfile: .containers/unit/Dockerfile
      args:
        PACKAGE: voz-del-cliente
    x-bake:
      tags:
        - mayacontigo/nnormativa:latest
    ports:
      - 8003:80
    labels:
      - traefik.enable=true
      - traefik.http.routers.nnormativa.rule=PathPrefix(`/api/mayannormativa`)
      - traefik.http.routers.nnormativa.entrypoints=web
      - traefik.http.routers.nnormativa.middlewares=nnormativa-strip
      - traefik.http.middlewares.nnormativa-strip.stripprefix.prefixes=/api/mayannormativa
  normativa:
    image: mayacontigo/normativa:latest
    build:
      context: .
      dockerfile: .containers/unit/Dockerfile
      args:
        PACKAGE: normativa
    x-bake:
      tags:
        - mayacontigo/normativa:latest
    ports:
      - 8001:80
    labels:
      - traefik.enable=true
      - traefik.http.routers.normativa.rule=PathPrefix(`/api/mayanormativa`)
      - traefik.http.routers.normativa.entrypoints=web
      - traefik.http.routers.normativa.middlewares=normativa-strip
      - traefik.http.middlewares.normativa-strip.stripprefix.prefixes=/api/mayanormativa
  pyme:
    image: mayacontigo/pyme:latest
    build:
      context: .
      dockerfile: .containers/unit/Dockerfile
      args:
        PACKAGE: pyme
    x-bake:
      tags:
        - mayacontigo/pyme:latest
    ports:
      - 8004:80
    labels:
      - traefik.enable=true
      - traefik.http.routers.pyme.rule=PathPrefix(`/api/mayapyme`)
      - traefik.http.routers.pyme.entrypoints=web
      - traefik.http.routers.pyme.middlewares=pyme-strip
      - traefik.http.middlewares.pyme-strip.stripprefix.prefixes=/api/mayapyme
  redes-sociales:
    image: mayacontigo/redes-sociales:latest
    build:
      context: .
      dockerfile: .containers/unit/Dockerfile
      args:
        PACKAGE: redes-sociales
    x-bake:
      tags:
        - mayacontigo/redes-sociales:latest
    ports:
      - 8005:80
    labels:
      - traefik.enable=true
      - traefik.http.routers.redes-sociales.rule=PathPrefix(`/api/mayaredes-sociales`)
      - traefik.http.routers.redes-sociales.entrypoints=web
      - traefik.http.routers.redes-sociales.middlewares=redes-sociales-strip
      - traefik.http.middlewares.redes-sociales-strip.stripprefix.prefixes=/api/mayaredes-sociales
